package ru.dbotthepony.mc.otm.capability.drive;

import net.minecraft.MethodsReturnNonnullByDefault;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.ItemStack;
import ru.dbotthepony.mc.otm.storage.IStorageTuple;
import ru.dbotthepony.mc.otm.storage.ItemStackWrapper;

import javax.annotation.ParametersAreNonnullByDefault;
import java.util.List;

@MethodsReturnNonnullByDefault
@ParametersAreNonnullByDefault
public interface IItemMatteryDrive extends IMatteryDrive<ItemStackWrapper> {
	/**
	 * @param item
	 * @return all items belonging to passed class
	 */
	List<IStorageTuple<ItemStackWrapper>> findItems(Item item);

	/**
	 * @param stack
	 * @return all items that match this itemstack
	 */
	List<IStorageTuple<ItemStackWrapper>> findItems(ItemStack stack);
}
