package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import ru.dbotthepony.mc.otm.menu.DriveRackMenu
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.MatteryScreen
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel
import ru.dbotthepony.mc.otm.client.screen.widget.PowerGaugePanel

class DriveRackScreen(menu: DriveRackMenu, inventory: Inventory, title: Component) :
	MatteryScreen<DriveRackMenu>(menu, inventory, title) {

	override fun makeMainFrame(): FramePanel {
		val frame = super.makeMainFrame()!!

		PowerGaugePanel(this, frame, menu.battery_widget, LEFT_MARGIN, GAUGE_TOP_WITH_SLOT)
		SlotPanel(this, frame, menu.battery_slot, LEFT_MARGIN, SLOT_TOP_UNDER_GAUGE)

		SlotPanel(this, frame, menu.drives[0], 71f, 32f)
		SlotPanel(this, frame, menu.drives[1], 71f + 18f, 32f)

		SlotPanel(this, frame, menu.drives[2], 71f, 32f + 18f)
		SlotPanel(this, frame, menu.drives[3], 71f + 18f, 32f + 18f)

		return frame
	}
}
